Subject: Re: [PATCH] NET: Add TCP connection abort IOCTL

From: John Heffner <[email-masked]>
Date: Tue, 27 Mar 2007 20:34:18 -0400

John Heffner wrote:
> I also believe this is a useful thing to have.  I'm not 100% sure this 
> ioctl is the way to go, but it seems reasonable.  This directly 
> corresponds to writing deleteTcb to the tcpConnectionState variable in 
> the TCP MIB (RFC 4022).  I don't think it constitutes a protocol violation.

Responding to myself in good form :P  I'll add that there are other ways 
to do this currently but all I know of are hackish, f.e. using a raw 
socket to send RST packets to yourself.

   -John